### Virtual Method

# Pos Completer set_preedit

#### Declaration [src]

    void
    set_preedit (
      PosCompleter* self,
      const char* preedit
    )

#### Description [src]

Sets the current preedit. The preedit is the current word under completion.

#### Parameters

`preedit`

  Type: `const char*`

  The preedit text to set.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.